Bug 814028 - Beaker should generate a PXE boot menu on lab controllers
Beaker should generate a PXE boot menu on lab controllers
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.0
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks: 781918
  Show dependency treegraph
 
Reported: 2012-04-18 23:49 EDT by Dan Callaghan
Modified: 2012-06-26 02:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:41:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-04-18 23:49:52 EDT
Cobbler currently can generate a PXE menu listing all imported distros. This is useful for doing manual installations in the labs. Beaker should provide similar functionality.

This is also our opportunity to generate a better organised menu than the flat listing which Cobbler produces. It could be grouped by osmajor, and then perhaps by tag or something else which makes sense.

It will need to be implemented as something like a cron job or daemon, which keeps the PXE menu in sync with distros recorded in Beaker and fetches the images when necessary. Ideally it should optional, so that labs which don't care about this functionality don't have to incur the overhead.
Comment 1 Raymond Mancy 2012-05-31 03:05:58 EDT
Dan's taking over this WIP
Comment 2 Dan Callaghan 2012-06-26 02:41:19 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.